path: /build/build/networkmanager-strongswan-net-vpn-1.6.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk4" emerge net-vpn/networkmanager-strongswan -pv -t && \
    USE="-gtk4" emerge -j ${JOBS} --nodeps net-vpn/networkmanager-strongswan
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/networkmanager-strongswan && luet-portage
    --dir /pkgdir/networkmanager-strongswan net-vpn/networkmanager-strongswan && eval
    'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: networkmanager-strongswan
    version: 1.6.0+1
    category: net-vpn
    use_flags:
    - -gtk4
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: NetworkManager StrongSwan plugin
    uri:
    - https://www.strongswan.org/
    license: GPL-2+
    buildtimestamp: 2023-10-06 14:33:16.596160435 +0000 UTC m=+131.948912554
    labels:
      BDEPEND: dev-util/intltool virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      DEPEND: app-crypt/libsecret >=net-libs/libnma-1.1.0 net-misc/networkmanager
        >=net-vpn/strongswan-5.8.3[networkmanager] !gtk4? ( x11-libs/gtk+:3 ) gtk4?
        ( net-libs/libnma gui-libs/gtk:4 )
      IUSE: gtk4
      RDEPEND: app-crypt/libsecret >=net-libs/libnma-1.1.0 net-misc/networkmanager
        >=net-vpn/strongswan-5.8.3[networkmanager] !gtk4? ( x11-libs/gtk+:3 ) gtk4?
        ( net-libs/libnma gui-libs/gtk:4 )
      emerge.packages: net-vpn/networkmanager-strongswan
      kit: net-kit
      original.package.name: net-vpn/networkmanager-strongswan
      original.package.slot: "0"
      original.package.version: 1.6.0
    treedir: /build/packages
  package_dir: /pkgdir/networkmanager-strongswan
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6d4538a1c2eaeabefdc86f3041472bb1162b0be90f3a22c3c9cb89a21c572385
compressiontype: zstd
files:
- usr/lib/NetworkManager/VPN/nm-strongswan-service.name
- usr/lib/NetworkManager/nm-strongswan-auth-dialog
- usr/lib64/NetworkManager/libnm-vpn-plugin-strongswan-editor.so
- usr/lib64/NetworkManager/libnm-vpn-plugin-strongswan.so
- usr/share/doc/networkmanager-strongswan-1.6.0/NEWS.bz2
- usr/share/locale/de/LC_MESSAGES/NetworkManager-strongswan.mo
- usr/share/metainfo/NetworkManager-strongswan.metainfo.xml
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/BDEPEND
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/BUILD_TIME
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/CATEGORY
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/CBUILD
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/CFLAGS
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/CHOST
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/CONTENTS
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/COUNTER
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/CXXFLAGS
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/DEFINED_PHASES
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/DEPEND
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/DESCRIPTION
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/EAPI
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/FEATURES
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/HOMEPAGE
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/INHERITED
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/IUSE
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/IUSE_EFFECTIVE
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/KEYWORDS
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/LDFLAGS
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/LICENSE
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/NEEDED
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/PF
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/PROVIDES
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/RDEPEND
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/REQUIRES
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/SIZE
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/SLOT
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/USE
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/environment.bz2
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/networkmanager-strongswan-1.6.0.ebuild
- var/db/pkg/net-vpn/networkmanager-strongswan-1.6.0/repository
package_cacheimage: ""
runtime:
  name: networkmanager-strongswan
  version: 1.6.0+1
  category: net-vpn
  use_flags:
  - -gtk4
  requires:
  - name: libsecret
    version: '>=0'
    category: app-crypt
  - name: libnma
    version: '>=0'
    category: net-libs
  - name: strongswan
    version: '>=0'
    category: net-vpn
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: NetworkManager StrongSwan plugin
  uri:
  - https://www.strongswan.org/
  license: GPL-2+
  labels:
    BDEPEND: dev-util/intltool virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: app-crypt/libsecret >=net-libs/libnma-1.1.0 net-misc/networkmanager >=net-vpn/strongswan-5.8.3[networkmanager]
      !gtk4? ( x11-libs/gtk+:3 ) gtk4? ( net-libs/libnma gui-libs/gtk:4 )
    IUSE: gtk4
    RDEPEND: app-crypt/libsecret >=net-libs/libnma-1.1.0 net-misc/networkmanager >=net-vpn/strongswan-5.8.3[networkmanager]
      !gtk4? ( x11-libs/gtk+:3 ) gtk4? ( net-libs/libnma gui-libs/gtk:4 )
    emerge.packages: net-vpn/networkmanager-strongswan
    kit: net-kit
    original.package.name: net-vpn/networkmanager-strongswan
    original.package.slot: "0"
    original.package.version: 1.6.0
